# $Revision: 1.14 $, $Date: 2004/05/23 18:12:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	XML::Sablotron perl module
Summary(pl):	Modu perla XML::Sablotron
Name:		perl-XML-Sablotron
Version:	1.0
Release:	1
License:	GPL v2+ or MPL v1.1
Group:		Development/Languages/Perl
#Source0Download:	http://www.gingerall.com/charlie/ga/xml/d_sab.xml
Source0:	http://download-1.gingerall.cz/download/sablot/XML-Sablotron-%{version}.tar.gz
# Source0-md5:	f9825c7f9a2243841de65bba9310fa58
# incomplete, see comments inside if you want to finish
Patch0:		%{name}-types.patch
BuildRequires:	expat-devel > 1.95
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sablotron-devel
# see unfinished patch0
ExcludeArch:	alpha amd64 ia64 ppc64 sparc64 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Sablotron is a simple Perl package, which encapsulates the C API
of Sablotron XSLT processor.

%description -l pl
XML::Sablotron to prosty pakiet Perla zawierajcy interfejs do API
procesora XSLT Sablotron.

%prep
%setup -q -n XML-Sablotron-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorarch}/XML/Sablotron.pm
%{perl_vendorarch}/XML/Sablotron
%dir %{perl_vendorarch}/auto/XML/Sablotron
%{perl_vendorarch}/auto/XML/Sablotron/Sablotron.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/Sablotron/Sablotron.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Sablotron.spec,v $
Revision 1.14  2004/05/23 18:12:14  qboosh
- tried to fix 64-bit compat (types patch), but it's too broken; ExcludeArch added

Revision 1.13  2004/05/23 15:42:02  qboosh
- updated Source0 URL

Revision 1.12  2004/05/23 15:37:40  qboosh
- updated to 1.0

Revision 1.11  2004/05/07 01:09:26  ankry
- rel. 3

Revision 1.10  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 06:33:15  ankry
- added tests, license fix, cosmetics

Revision 1.8  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:43  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.2  2002/11/25 15:06:54  marcus
- use new %%doc

Revision 1.1  2002/04/24 22:13:43  qboosh
- new
